package com.kakao.sdk.user.model

import android.os.Parcelable
import com.google.gson.annotations.SerializedName
import kotlinx.android.parcel.Parcelize

/** 토큰 정보 요청 API 응답 클래스
 *
 * @property id 사용자 아이디
 * @property expiresInMillis 해당 access token의 남은 만료시간 (단위: milli-second)
 *
 * @author kevin.kang. Created on 2018. 3. 24..
 */
@Parcelize
data class AccessTokenInfo(
    val id: Long,
    @SerializedName("expiresInMillis") val expiresInMillis: Long
) : Parcelable